Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## vut.msa.monitor.system
Class FileSystemCompleteInfo

    java.lang.Object
      vut.msa.monitor.system.FileSystemCompleteInfo

    public class FileSystemCompleteInfo

extends java.lang.Object

Wrapper pre informacie o disku.

Constructor Summary
`FileSystemCompleteInfo(org.hyperic.sigar.FileSystem fileSystem, org.hyperic.sigar.FileSystemUsage fsUsage, org.hyperic.sigar.DirUsage backups)`

Method Summary
`org.hyperic.sigar.DirUsage` | `getBackups()`
`org.hyperic.sigar.FileSystem` | `getFileSystem()`
`org.hyperic.sigar.FileSystemUsage` | `getFsUsage()`
`boolean` | `isUsedForBackup()`
`void` | `setBackups(org.hyperic.sigar.DirUsage backups)`
`void` | `setFileSystem(org.hyperic.sigar.FileSystem fileSystem)`
`void` | `setFsUsage(org.hyperic.sigar.FileSystemUsage fsUsage)`
`void` | `setUsedForBackup(boolean usedForBackup)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileSystemCompleteInfo

    public FileSystemCompleteInfo(org.hyperic.sigar.FileSystem fileSystem,
                                  org.hyperic.sigar.FileSystemUsage fsUsage,
                                  org.hyperic.sigar.DirUsage backups)

Method Detail

### getFileSystem

    public org.hyperic.sigar.FileSystem getFileSystem()

### setFileSystem

    public void setFileSystem(org.hyperic.sigar.FileSystem fileSystem)

### getFsUsage

    public org.hyperic.sigar.FileSystemUsage getFsUsage()

### setFsUsage

    public void setFsUsage(org.hyperic.sigar.FileSystemUsage fsUsage)

### getBackups

    public org.hyperic.sigar.DirUsage getBackups()

### setBackups

    public void setBackups(org.hyperic.sigar.DirUsage backups)

### isUsedForBackup

    public boolean isUsedForBackup()

### setUsedForBackup

    public void setUsedForBackup(boolean usedForBackup)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD